
import 'dart:async';

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter_plugin_yin/CommonDialog.dart';

class FlutterPluginYin {
  static const MethodChannel _channel = MethodChannel("flutter_plugin_yin");

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod("getPlatformVersion");
    return version;
  }

  static Future<String?> getPlatformMemory() async {
    final String? memory = await _channel.invokeMethod('getPlatformMemory');
    return memory;
  }

  static Widget getCommonDialog(String title, String content) {
    return CommonDialog(title, content);
  }

  static Widget getNativeView(String content) {
    var view = Container(
      height: 50,
      width: 200,
      alignment: Alignment.center,
      color: Colors.blue,
      child: AndroidView(viewType: 'flutter_plugin_yin',
        creationParams: {'text': content},
        creationParamsCodec:  const StandardMessageCodec(),
      ),
      // child: UiKitView(
      //     viewType: 'flutter_plugin_yin'
      // ),
    );
    return view;
  }
}
